Package org.mariadb.jdbc.util.log

## Class Loggers

- java.lang.Object
- - org.mariadb.jdbc.util.log.Loggers

    public final class Loggers
    extends Object

### Field Summary

Fields
`static String` `CONSOLE_DEBUG_PROPERTY`
`static String` `FALLBACK_PROPERTY`
`static String` `TEST_ENABLE_SLF4J`

### Constructor Summary

Constructors
`Loggers()`

### Method Summary

All Methods Static Methods Concrete Methods
`static Logger` `getLogger​(Class<?> cls)`
`static Logger` `getLogger​(String name)`
`static void` `init()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### FALLBACK_PROPERTY

    public static final String FALLBACK_PROPERTY

See Also:
  Constant Field Values

#### CONSOLE_DEBUG_PROPERTY

    public static final String CONSOLE_DEBUG_PROPERTY

See Also:
  Constant Field Values

#### TEST_ENABLE_SLF4J

    public static final String TEST_ENABLE_SLF4J

See Also:
  Constant Field Values

### Constructor Detail

#### Loggers

    public Loggers()

### Method Detail

#### getLogger

    public static Logger getLogger​(String name)

#### getLogger

    public static Logger getLogger​(Class<?> cls)

#### init

    public static void init()